- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Lists all dry runs in a specified project and location.
HTTP request
GET https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/validations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project and location from which to list dry runs. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of dry runs to return. Fault Injection Testing may return fewer. If unspecified, at most 1000 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token received from a previous list call, used to retrieve the subsequent page. When paginating, all other parameters provided to |
filter |
Optional. A filter expression to restrict the dry runs returned. Example: |
Request body
The request body must be empty.
Response body
List dry runs for a specified project.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"validations": [
{
object ( |
| Fields | |
|---|---|
validations[] |
The dry runs from the specified project, ordered from newest to oldest based on creation time. |
nextPageToken |
A token, which can be sent as |
unreachable[] |
Unordered list. Locations that could not be reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
faulttesting.validations.list
For more information, see the IAM documentation.